package sk.novotnyr.eydee;

import java.io.File;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JTable;
import javax.swing.WindowConstants;

public class DirectoryForm extends JDialog {
	private JTable tabFiles;

	private File mp3Directory;
	
	public DirectoryForm(JFrame parentFrame, File mp3Directory) {
		super(parentFrame, true);
		this.mp3Directory = mp3Directory;
		initComponents();
	}

	private void initComponents() {
		setLayout(null);
		setBounds(0, 0, 400, 400);
		setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		
		setResizable(false);
		
		tabFiles = new JTable(new Mp3AlbumTableModel(mp3Directory));
		tabFiles.setBounds(5, 5, 395, 395);
		getContentPane().add(tabFiles);		
	}
}
